<div class="container">
  <div class="regForms">
    <div class="header">
      <h1>Employee Form</h1>
    </div>

    <form class="form-style" (ngSubmit)="isEditing ? onUpdate(formDirective) : onRegister(formDirective)" name="registerForm" [formGroup]="regisForm" #formDirective="ngForm">

      <div class="id-input" *ngIf="isEditing">
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>id</mat-label>
          <input [readonly]="true" matInput placeholder="enter..." formControlName="id" />
          <mat-icon matSuffix
          ><span class="material-icons"> face </span></mat-icon
          >
        </mat-form-field>
      </div>
      <div class="email-input">
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>email</mat-label>
          <input matInput placeholder="enter..." formControlName="emails" />
          <mat-icon matSuffix
          ><span class="material-icons"> mail </span></mat-icon
          >

          <mat-error
            *ngIf="
              getEmailValidate &&
              getEmailValidate.hasError('email') &&
              !getEmailValidate.hasError('required')
            "
          >
            Please enter a valid email address
          </mat-error>
          <mat-error
            *ngIf="getEmailValidate && getEmailValidate.hasError('required')"
          >
            Email is <strong>required</strong>
          </mat-error>
        </mat-form-field>
      </div>

      <div class="username-input">
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>username</mat-label>
          <input matInput placeholder="enter..." formControlName="username" />
          <mat-icon matSuffix
          ><span class="material-icons"> face </span></mat-icon
          >

          <mat-error
            *ngIf="
              getUsernameValidate && getUsernameValidate.hasError('required')
            "
          >
            Username is <strong>required</strong>
          </mat-error>
          <mat-error
          *ngIf="
              getUsernameValidate && getUsernameValidate.hasError('pattern')
            "
        >
          Username must be between <strong>4 Character</strong> to <strong>16 Character</strong>
        </mat-error>
        </mat-form-field>
      </div>

      <div class="username-input">
        <mat-form-field class="full-width" appearance="outline">
          <mat-label>password</mat-label>
          <input matInput placeholder="enter..." formControlName="password" />
          <mat-icon matSuffix
          ><span class="material-icons"> lock </span></mat-icon
          >

          <mat-error
            *ngIf="
              getPasswordValidate && getPasswordValidate.hasError('required')
            "
          >
            Password is <strong>required</strong>
          </mat-error>
          <mat-error *ngIf="getPasswordValidate && getPasswordValidate.hasError('pattern')">
            Minimum eight characters, at least one letter and one number
          </mat-error>
        </mat-form-field>
      </div>

      <h4>gender</h4>
      <mat-radio-group
        aria-labelledby="example-radio-group-label"
        class="example-radio-group"

      >
        <mat-radio-button
          class="example-radio-button"
          *ngFor="let gen of gender"
          [value]="gen"
        >
          {{ gen }}
        </mat-radio-button>
      </mat-radio-group>

      <h4>Emp Type</h4>
      <div class=""></div>
      <mat-form-field appearance="fill" class="option-style">
        <mat-label>Type</mat-label>
        <mat-select [(value)]="selectedOption">
          <mat-option *ngFor="let tp of typeEmp" [value]="tp">
            {{ tp }}
          </mat-option>
        </mat-select>
      </mat-form-field>
      <br />
      <!-- phone number -->
      <div class="groupPhoneNumber">
        <div formArrayName="phoneNumber">
          <div
            *ngFor="let addr of getPhoneNumberArr.controls; let i = index"
            [formGroupName]="i"
          >
            <br />
            <div class="group-col">
              <mat-form-field class="full-width" appearance="outline">
                <mat-label>line number {{ i + 1 }}</mat-label>
                <input
                  matInput
                  placeholder="number..."
                  formControlName="pnumber"
                />
                <mat-icon matSuffix
                ><span class="material-icons"> call </span></mat-icon
                >
                <mat-error *ngIf="addr.get('pnumber') && addr.get('pnumber')?.hasError('pattern')">
                  Invalid Phone Number
                </mat-error>
              </mat-form-field>
            </div>
            <div class="delete-btn">
              <button
                mat-raised-button
                color="primary"
                type="button"
                (click)="deletePhone(i)"
              >
                delete
              </button>
            </div>

            <br />
            <br />
          </div>
        </div>
      </div>
      <br />
      <div class="button-form">
        <button
          mat-raised-button
          color="primary"
          type="button"
          (click)="addPhone()"
        >
          add phone</button
        >{{ "  " }}


        <button *ngIf="!isEditing" type="submit" mat-raised-button color="primary" [disabled]="!regisForm.valid">Add Employee</button>
        <button *ngIf="isEditing" type="submit" mat-raised-button color="primary" [disabled]="!regisForm.valid">Update Employee</button>
      </div>

    </form>
  </div>
  <div class="table">
    <app-table [EMP_ELEMENT_DATA]="EMP_ELEMENT_DATA" (deletedData)="handleChildEvent($event)" (clearForm)="handleClearForm($event)" (updateData)="handleUpdateEvent($event)" #tableComponent></app-table>
  </div>
</div>
